com.asprise.imaging.scan

## Enum FunctionalUnit.TiffCompression

- java.lang.Object
- - java.lang.Enum<FunctionalUnit.TiffCompression>
  - - com.asprise.imaging.scan.FunctionalUnit.TiffCompression

- All Implemented Interfaces:
    Serializable, Comparable<FunctionalUnit.TiffCompression>
  Enclosing class:
    FunctionalUnit

      public static enum FunctionalUnit.TiffCompression
      extends Enum<FunctionalUnit.TiffCompression>

  TIFF compression schemes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CCITT3`
    `CCITT4`
    `LZW`
    `NONE`
    `RLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionalUnit.TiffCompression` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FunctionalUnit.TiffCompression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CCITT4

          public static final FunctionalUnit.TiffCompression CCITT4

    - #### CCITT3

          public static final FunctionalUnit.TiffCompression CCITT3

    - #### LZW

          public static final FunctionalUnit.TiffCompression LZW

    - #### RLE

          public static final FunctionalUnit.TiffCompression RLE

    - #### NONE

          public static final FunctionalUnit.TiffCompression NONE

  - ### Method Detail

    - #### values

          public static FunctionalUnit.TiffCompression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionalUnit.TiffCompression c : FunctionalUnit.TiffCompression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionalUnit.TiffCompression valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com